package com.mdd.admin.vo.article;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("文章列表Vo")
public class ArticleListedVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键")
   private Integer id;
   @ApiModelProperty("分类")
   private String category;
   @ApiModelProperty("标题")
   private String title;
   @ApiModelProperty("图片")
   private String image;
   @ApiModelProperty("作者")
   private String author;
   @ApiModelProperty("访问")
   private Integer visit;
   @ApiModelProperty("排序")
   private Integer sort;
   @ApiModelProperty("是否显示")
   private Integer isShow;
   @ApiModelProperty("创建时间")
   private String createTime;
   @ApiModelProperty("更新时间")
   private String updateTime;

   public Integer getId() {
      return this.id;
   }

   public String getCategory() {
      return this.category;
   }

   public String getTitle() {
      return this.title;
   }

   public String getImage() {
      return this.image;
   }

   public String getAuthor() {
      return this.author;
   }

   public Integer getVisit() {
      return this.visit;
   }

   public Integer getSort() {
      return this.sort;
   }

   public Integer getIsShow() {
      return this.isShow;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public String getUpdateTime() {
      return this.updateTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setCategory(String category) {
      this.category = category;
   }

   public void setTitle(String title) {
      this.title = title;
   }

   public void setImage(String image) {
      this.image = image;
   }

   public void setAuthor(String author) {
      this.author = author;
   }

   public void setVisit(Integer visit) {
      this.visit = visit;
   }

   public void setSort(Integer sort) {
      this.sort = sort;
   }

   public void setIsShow(Integer isShow) {
      this.isShow = isShow;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(String updateTime) {
      this.updateTime = updateTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ArticleListedVo)) {
         return false;
      } else {
         ArticleListedVo other = (ArticleListedVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$visit = this.getVisit();
            Object other$visit = other.getVisit();
            if (this$visit == null) {
               if (other$visit != null) {
                  return false;
               }
            } else if (!this$visit.equals(other$visit)) {
               return false;
            }

            Object this$sort = this.getSort();
            Object other$sort = other.getSort();
            if (this$sort == null) {
               if (other$sort != null) {
                  return false;
               }
            } else if (!this$sort.equals(other$sort)) {
               return false;
            }

            label110: {
               Object this$isShow = this.getIsShow();
               Object other$isShow = other.getIsShow();
               if (this$isShow == null) {
                  if (other$isShow == null) {
                     break label110;
                  }
               } else if (this$isShow.equals(other$isShow)) {
                  break label110;
               }

               return false;
            }

            label103: {
               Object this$category = this.getCategory();
               Object other$category = other.getCategory();
               if (this$category == null) {
                  if (other$category == null) {
                     break label103;
                  }
               } else if (this$category.equals(other$category)) {
                  break label103;
               }

               return false;
            }

            Object this$title = this.getTitle();
            Object other$title = other.getTitle();
            if (this$title == null) {
               if (other$title != null) {
                  return false;
               }
            } else if (!this$title.equals(other$title)) {
               return false;
            }

            label89: {
               Object this$image = this.getImage();
               Object other$image = other.getImage();
               if (this$image == null) {
                  if (other$image == null) {
                     break label89;
                  }
               } else if (this$image.equals(other$image)) {
                  break label89;
               }

               return false;
            }

            label82: {
               Object this$author = this.getAuthor();
               Object other$author = other.getAuthor();
               if (this$author == null) {
                  if (other$author == null) {
                     break label82;
                  }
               } else if (this$author.equals(other$author)) {
                  break label82;
               }

               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            Object this$updateTime = this.getUpdateTime();
            Object other$updateTime = other.getUpdateTime();
            if (this$updateTime == null) {
               if (other$updateTime != null) {
                  return false;
               }
            } else if (!this$updateTime.equals(other$updateTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ArticleListedVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $visit = this.getVisit();
      result = result * 59 + ($visit == null ? 43 : $visit.hashCode());
      Object $sort = this.getSort();
      result = result * 59 + ($sort == null ? 43 : $sort.hashCode());
      Object $isShow = this.getIsShow();
      result = result * 59 + ($isShow == null ? 43 : $isShow.hashCode());
      Object $category = this.getCategory();
      result = result * 59 + ($category == null ? 43 : $category.hashCode());
      Object $title = this.getTitle();
      result = result * 59 + ($title == null ? 43 : $title.hashCode());
      Object $image = this.getImage();
      result = result * 59 + ($image == null ? 43 : $image.hashCode());
      Object $author = this.getAuthor();
      result = result * 59 + ($author == null ? 43 : $author.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $updateTime = this.getUpdateTime();
      result = result * 59 + ($updateTime == null ? 43 : $updateTime.hashCode());
      return result;
   }

   public String toString() {
      return "ArticleListedVo(id=" + this.getId() + ", category=" + this.getCategory() + ", title=" + this.getTitle() + ", image=" + this.getImage() + ", author=" + this.getAuthor() + ", visit=" + this.getVisit() + ", sort=" + this.getSort() + ", isShow=" + this.getIsShow() + ", createTime=" + this.getCreateTime() + ", updateTime=" + this.getUpdateTime() + ")";
   }
}
